Subject: Re: [PATCH 2/2] replay: document --update-refs and --batch options

From: Andrei Rybak <[email-masked]>
Date: Tue, 9 Sep 2025 21:20:17 +0200

hello, Siddharth Asthana

On 08/09/2025 06:36, Siddharth Asthana wrote:
> @@ -91,6 +120,27 @@ $ git replay --advance target origin/main..mybranch
>   update refs/heads/target ${NEW_target_HASH} ${OLD_target_HASH}
>   ------------
>   
> +To rebase `mybranch` onto `target` and update the ref directly:
> +
> +------------
> +$ git replay --update --onto target origin/main..mybranch
> +# No output; mybranch is updated directly
> +------------
> +
> +To rebase `mybranch` onto `target` using atomic ref transactions:
> +
> +------------
> +$ git replay --update-refs --onto target origin/main..mybranch
> +# No output; mybranch is updated atomically
> +------------
> +
> +To rebase multiple branches with partial failure tolerance:
> +
> +------------
> +$ git replay --update-refs --batch --contained --onto origin/main origin/main..tipbranch
> +# No output; refs updated in batch mode, warnings for any failures
> +------------
> +
>   Note that the first two examples replay the exact same commits and on
>   top of the exact same new base, they only differ in that the first
>   provides instructions to make mybranch point at the new commits and

Adding new examples above this paragraph separates it from the existing 
examples it refers to.